Retrieve assets

/dam/assets/retrieve Retrieve asset information and attributes details.

The endpoint can also provide information about previews and asset’s history.

Table 1. Details

Resource path

/api/core/v1/dam/assets/retrieve

HTTP method

POST

Request content type

application/json

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Asset attributes

Asset attributes are stored in AssetType.vals

Asset attributes type and examples
Attribute type Is localized Response template Example

Boolean

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="BOOLEAN_SIMPLE">
    <itm>false</itm>
</val>

Boolean

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{attribute_value}</itm>
</val>
<val attr="BOOLEAN_LANGUAGE" type="localized">
    <itm loc="en_EN">true</itm>
</val>

Date

<val attr="{attribute_name}">
    <itm>{iso8601_date}</itm>
</val>
<val attr="DATE_SIMPLE">
    <itm>2022-06-11T13:05:32.000Z</itm>
</val>

Date

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{iso8601_date}</itm>
</val>
<val attr="DATE_LANGUAGE" type="localized">
    <itm loc="en_EN">2022-06-04T13:05:32.000Z</itm>
</val>

Enumeration

<val attr="{attribute_name}" type="multiple">
    <itm pos="0">{attribute_value0}</itm>
    <itm pos="1">{attribute_value1}</itm>
    <itm pos="N">{attribute_valuen}</itm>
</val>
<val attr="ENUMERATION_SIMPLE" type="multiple">
    <itm pos="0">value0</itm>
    <itm pos="1">value1</itm>
    <itm pos="2">value2</itm>
</val>

Enumeration

X

<val attr="{attribute_name}" type="multi_loc">
    <i18n loc="{language_code}">
        <itm pos="0">{attribute_value0}</itm>
        <itm pos="1">{attribute_value1}</itm>
        <itm pos="N">{attribute_valuen}</itm>
    </i18n>
</val>
<val attr="ENUMERATION_LANGUAGE" type="multi_loc">
    <i18n loc="en_EN">
        <itm pos="0">value0</itm>
        <itm pos="1">value1</itm>
        <itm pos="2">value2</itm>
    </i18n>
</val>

Number

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="NUMBER_SIMPLE">
    <itm>33</itm>
</val>

Number

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{value}</itm>
</val>
<val attr="NUMBER_LANGUAGE" type="localized">
    <itm loc="en_EN">77</itm>
</val>

String

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="NUMBER_SIMPLE">
    <itm>33</itm>
</val>

String

X

<val attr="{attribute_name}" type="localized">
     <itm>{attribute_value}</itm>
</val>
<val attr="STRING_SIMPLE">
    <itm>temp</itm>
</val>

XMP

<val attr="xmp.{attribute_name}" type="xmp">
    <itm>{attribute_value}</itm>
</val>

<val attr="xmp.{attribute_name}" type="xmp">
    <itm>{value0}</itm>
    <itm>{value1}</itm>
    <itm>{valuen}</itm>
</val>
<val attr="xmp.IPTC.Title" type="xmp">
    <itm>title-value</itm>
</val>


<val attr="xmp.IPTC.Keywords" type="xmp">
    <itm>666</itm>
    <itm>333</itm>
    <itm>888</itm>
</val>
Body parameters

Specified by AssetRequest

Return Type

PimType with filled AssetsType. More info AssetType

Responses
Table 2. Http response codes
Code Message Datatype

200

PimType with list of assets

PimType

500

Error in ResponseType

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Get asset details with asset history and previews info
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": [
      24478
    ],
    "retrieveHistory": true,
    "retrievePreviews": true
}'
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <assets>
        <asset parent="01427CB0-AF41-41CF-96FC-51EC7B6ADEC1"
               tid="6FC0022A-E978-4ADF-ABFE-DBF0BE99042F"
               type="IMG">
            <name>100192855000_96p.jpg</name>
            <meta>
                <itm key="annotationstate">false</itm>
                <itm key="archivestate">ONLINE</itm>
                <itm key="creationDate">2022-10-04T11:39:13.943+02:00</itm>
                <itm key="discriminator">IMG</itm>
                <itm key="fileCreationDate">2022-10-04T11:39:13.937+02:00</itm>
                <itm key="fileModificationDate">2022-10-04T11:39:13.937+02:00</itm>
                <itm key="fileTypeShortName">JPEG</itm>
                <itm key="hidden">false</itm>
                <itm key="identity">24478</itm>
                <itm key="imageColorspace">YCBCR</itm>
                <itm key="imageHeightInMM">705.5555555555555</itm>
                <itm key="imageHeightInPixel">2000</itm>
                <itm key="imageICCProfile">sRGB IEC61966-2-1 withBPC</itm>
                <itm key="imageWidthInMM">465.66666666666663</itm>
                <itm key="imageWidthInPixel">1320</itm>
                <itm key="imageXResolutionValue">72.0</itm>
                <itm key="imageYResolutionValue">72.0</itm>
                <itm key="modificationDate">2022-10-04T11:39:16.272+02:00</itm>
                <itm key="nameWithoutExtension">100192855000_96p</itm>
                <itm key="numberOfVersions">0</itm>
                <itm key="online">true</itm>
                <itm key="pathStringStr">/Productimages/100/192/855/100192855000_96p.jpg</itm>
                <itm key="previewCoarse">1C85040C-D61C-41E7-97CC-15B08B0675FE</itm>
                <itm key="previewOriginal"/>
                <itm key="previewOriginalMultimedia"/>
                <itm key="previewOriginalPixel">48C064B8-B3EC-4476-A84B-11474684FF2B</itm>
                <itm key="previewOriginalVector"/>
                <itm key="previewThumbnail">FC24D91C-69FE-4FB3-A6FA-B9A66EB37CBC</itm>
                <itm key="resourceSize">0</itm>
                <itm key="rncIdentifier">MAM</itm>
                <itm key="size">112209</itm>
                <itm key="totalChecksum">8a6c74821055ccc8da8603eed6976017</itm>
                <itm key="totalChecksumHashAlgorithm">MD5</itm>
                <itm key="totalSize">112209</itm>
            </meta>
            <vals>
                <val attr="xmp.IPTC.Description" type="xmp">
                    <itm>100192296041383437</itm>
                </val>
                <val attr="xmp.dc:description" type="xmp">
                    <itm>100192296041383437</itm>
                </val>
                <val attr="xmp.dc:subject" type="xmp">
                    <itm>1001/100192/855000/19;</itm>
                </val>
                <val attr="xmp.tiff.Orientation" type="xmp">
                    <itm>1</itm>
                </val>
                <val attr="xmp.dc:creator" type="xmp">
                    <itm>p</itm>
                </val>
                <val attr="xmp.IPTC.Keywords" type="xmp">
                    <itm>1001/100192/855000/19;</itm>
                </val>
                <val attr="xmp.dc:format" type="xmp">
                    <itm>image/jpeg</itm>
                </val>
                <val attr="xmp.IPTC.Creator" type="xmp">
                    <itm>p</itm>
                </val>
                <val attr="xmp.exif:ExposureTime" type="xmp">
                    <itm>1/160</itm>
                </val>
                <val attr="STRING_SIMPLE">
                    <itm>string</itm>
                </val>
                <val attr="ENUMERATION_L" type="multi_loc">
                    <i18n loc="en_EN">
                        <itm pos="0">Brown</itm>
                        <itm pos="1">Yellow</itm>
                    </i18n>
                </val>
            </vals>
            <histories>
                <history id="37220">
                    <meta>
                        <itm key="changedProperty">STRING_SIMPLE</itm>
                        <itm key="eventDate">2022-10-21T15:45:04.110+02:00</itm>
                        <itm key="eventDescription">Saving object details.</itm>
                        <itm key="eventIdentifier">SAVE_DETAILS</itm>
                        <itm key="newValue">testttest</itm>
                        <itm key="oldValue">aeorosol</itm>
                        <itm key="userIdentifier">test@apollon.de</itm>
                    </meta>
                </history>
                <history id="54321">
                    <meta>
                        <itm key="changedProperty">STRING_SIMPLE</itm>
                        <itm key="eventDate">2022-10-21T15:45:15.928+02:00</itm>
                        <itm key="eventDescription">Saving object details.</itm>
                        <itm key="eventIdentifier">SAVE_DETAILS</itm>
                        <itm key="newValue">hi</itm>
                        <itm key="oldValue">testttest</itm>
                        <itm key="userIdentifier">test@apollon.de</itm>
                    </meta>
                </history>
            </histories>
            <previews>
                <preview tid="E5B04787-87BD-4D18-AAA6-6CD26498EB0A" type="ORIGINAL_PIXEL">
                    <meta>
                        <itm key="extension">jpeg</itm>
                        <itm key="height">230</itm>
                        <itm key="modificationDate">2022-09-08T13:11:29.802Z</itm>
                        <itm key="pageNumber">-1</itm>
                        <itm key="size">0</itm>
                        <itm key="status">ORIGINAL</itm>
                        <itm key="url">/dam/assets/bin?assetTid=11319367-DE26-4FB8-9148-3C341766C1BA&amp;format=previewOriginalPixel</itm>
                        <itm key="width">219</itm>
                    </meta>
                </preview>
                <preview tid="0B0A042E-6F51-44C2-8CE7-5F13E4719FCF" type="THUMBNAIL">
                    <meta>
                        <itm key="extension">jpeg</itm>
                        <itm key="height">40</itm>
                        <itm key="modificationDate">2022-09-08T13:11:29.802Z</itm>
                        <itm key="pageNumber">-1</itm>
                        <itm key="size">0</itm>
                        <itm key="status">ORIGINAL</itm>
                        <itm key="url">/dam/assets/bin?assetTid=11319367-DE26-4FB8-9148-3C341766C1BA&amp;format=previewThumbnail</itm>
                        <itm key="width">38</itm>
                    </meta>
                </preview>
                <preview tid="11F00126-6D35-4355-99C3-2763A9743C00" type="COARSE">
                    <meta>
                        <itm key="extension">jpeg</itm>
                        <itm key="height">480</itm>
                        <itm key="modificationDate">2022-09-08T13:11:29.802Z</itm>
                        <itm key="pageNumber">-1</itm>
                        <itm key="size">0</itm>
                        <itm key="status">ORIGINAL</itm>
                        <itm key="url">/dam/assets/bin?assetTid=11319367-DE26-4FB8-9148-3C341766C1BA&amp;format=previewCoarse</itm>
                        <itm key="width">457</itm>
                    </meta>
                </preview>
            </previews>
        </asset>
    </assets>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...